This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 601210 - Fusion MPT misc device (ioctl) driver too verbose in message/fusion/mptctl.c::mptctl_ioctl()
Fusion MPT misc device (ioctl) driver too verbose in message/fusion/mptctl.c...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luis Claudio R. Goncalves
David Sommerseth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 09:28 EDT by Jon Thomas
Modified: 2016-05-22 19:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
surrounded a printk in the fusion mpt driver with debugging ifdefs to reduce irritating console output
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 11:54:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jon Thomas 2010-06-07 09:28:49 EDT
Clone of https://bugzilla.redhat.com/show_bug.cgi?id=466441

While running MRG Realtime kernel 2.6.24.7-149.el5rt on a Dell PowerEdge 2950 system, customer see the following messages in dmesg:

<snip>
mptctldrivers/message/fusion/mptctl.c::mptctl_ioctl() @596 - ioc0 not found!
mptctldrivers/message/fusion/mptctl.c::mptctl_ioctl() @596 - ioc1 not found!
[...]
mptctldrivers/message/fusion/mptctl.c::mptctl_ioctl() @596 - ioc30 not found!
mptctldrivers/message/fusion/mptctl.c::mptctl_ioctl() @596 - ioc31 not found!
</snip>

If he runs RHEL 5.5 kernel 2.6.18-194.3.1.el5, no such messages are seen.


* How reproducible: Run MRG Realtime kernel 2.6.24.7-149.el5rt on a Dell PowerEdge 2950 system and check the dmesg.


* Steps to Reproduce: As above.


* Actual results: The above "iocX not found" messages are seen.


* Expected results: No such message should be seen.


* Additional info:

- mptbase module version with RHEL 5.5 (2.6.18-194.el5): 3.04.13rh

As per https://bugzilla.redhat.com/show_bug.cgi?id=466441, the messages seems to be due to verbose debug information and seems to have been fixed on RHEL 5.4. The mptctl.c of kernel 2.6.18-164.el5 shows the following:

<snip>
595                 printk(KERN_DEBUG MYNAM "%s::mptctl_ioctl() @%d - ioc%d not found!\n",
596                                 __FILE__, __LINE__, iocnumX);
</snip>

- mptbase module version with RHEL 5.4 (2.6.18-164.el5): 3.04.07rh

- mptbase module version with RHEL MRG-R (2.6.24.7-149.el5rt): 3.04.06
Comment 1 Luis Claudio R. Goncalves 2010-06-22 08:56:27 EDT
Patch bz601210-Fusion-MPT-misc-dev-driver-too-verbose.patch added to kernel -159 patch queue.
Comment 3 David Sommerseth 2010-07-21 05:30:21 EDT
Verified by code review.  Found bz601210-Fusion-MPT-misc-dev-driver-too-verbose.patch implemented in kernel-rt-2.6.24.7-160.src.rpm.  Double checked that DMPT_DEBUG_IOCTL was not #define'd in the source code or enabled via other debug flags in the kernel config.
Comment 4 Clark Williams 2010-07-26 17:01:58 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
surrounded a printk in the fusion mpt driver with debugging ifdefs to reduce irritating console output
Comment 5 errata-xmlrpc 2010-08-17 11:54:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0631.html

Note You need to log in before you can comment on or make changes to this bug.